Statistics
| Branch: | Tag: | Revision:

root / tools @ 560ef132

Latest revisions

# Date Author Comment
dc1fe8df 02/06/2014 03:34 pm Jose A. Lopes

Add 'kvm-ifup-os' to configure instance communication TAP

The script 'tools/kvm-ifup-os' configures TAP network interfaces for
for instances, routing, DHCP server, etc. Note that this script only
configures TAP network interfaces that are used by the instance...

8d61946f 01/30/2014 11:03 am Petr Pudlak

Merge branch 'stable-2.11' into master

  • stable-2.11
    Make safeRenameFile create dirs with defined permissions
    Add constant for subdir permissions within the job queue
    Add utility to fix permissions
    Add data type describing permissions and possibly owners...
45f75526 01/24/2014 05:06 pm Helga Velroyen

Disabling client certificate usage

This patch temporarily disables the usage of the client
SSL certificates. The handling of RPC connections had a
conceptional flaw, because the certificates lack a proper
signature. For this, Ganeti needs to implement a CA,...

cf048aea 01/16/2014 05:11 pm Klaus Aehlig

Add parameter max_running_jobs to the cluster configuration

This cluster-wide parameter will determine how many non-finalized jobs maximally
should be in a not queued state at the same time.

Signed-off-by: Klaus Aehlig <>
Reviewed-by: Petr Pudlak <>

c777c5fc 01/16/2014 02:15 pm Helga Velroyen

Prepare master as new 2.12 branch

This adapts various file to make the current master
branch the new stable-2.12 branch.

Signed-off-by: Helga Velroyen <>
Reviewed-by: Guido Trotter <>

b121199d 01/13/2014 12:08 pm Klaus Aehlig

Add generating node certificates as post-upgrade task

While, technically, Ganeti is still working without individual node
certificates, it is considered an error by gnt-cluster verify to
not have it done immediately after upgrading. So, to make automatic...

74289509 01/10/2014 02:31 pm Klaus Aehlig

Merge branch 'stable-2.10' into master

  • stable-2.10
    Run postupgrade hook after upgrade
    Provide path to post-upgrade
    Add an empty post-upgrade hook
    design: support post-upgrade hooks
    Also add the current version to the intent-to-upgrade file

Signed-off-by: Klaus Aehlig <>...

fba59beb 01/10/2014 02:19 pm Klaus Aehlig

Add an empty post-upgrade hook

As 2.10 is the first version from which you can do automatic upgrades,
there is nothing to do when going to any other version in the 2.10
branch.

Signed-off-by: Klaus Aehlig <>
Reviewed-by: Petr Pudlak <>

10937a16 01/09/2014 02:03 pm Hrvoje Ribicic

Make the move-instance tool more fault tolerant

The move-instance tool raises an exception when used with a cluster
running an earlier version of Ganeti. As the tool is meant to perform
inter-cluster moves, this situation could be encountered outside the...

d4b81bdd 01/08/2014 04:14 pm Klaus Aehlig

Also downgrade gluster parameters

Support for gluster was added only in version 2.11. So,
when downgrading to the 2.10 branch, these parameters
need to be removed.

Signed-off-by: Klaus Aehlig <>
Reviewed-by: Helga Velroyen <>

View revisions

Also available in: Atom